System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Security.Cryptography.Xml.Transform

The class represents the C14N XML canonicalization transform that describes the canonical form of an XML document. This transform allows a signer to create a digest (used to create a digital signature) using the canonical form of an XML document. A recipient can then verify the XML digital signature using the same canonical form of the XML document with the same transform.

Use the class when you need to sign an XML document that does not contain comments.

In most cases, a new instance of a canonicalization transform class is not required. To specify a canonicalization transform, pass the Uniform Resource Identifier (URI) that describes the transform to the property, which is accessible from the property. To acquire a reference to the canonicalization transform, use the property, which is accessible from the property.

The URI that describes the class is defined by the field and the field.

You would only need to create a new instance of a canonicalization transform class for manually hashing an XML document or for using your own canonicalization algorithm.

For more information about the C14N transform, see Sections 6.5 and 6.6.1 of the XMLDSIG specification, which is available from the World Wide Web Consortium (W3C) at www.w3.org/TR/xmldsig-core/. The canonicalization algorithm is defined in the W3C Canonical XML specification, which is available at www.w3.org/TR/xml-c14n.

Represents the C14N XML canonicalization transform for a digital signature as defined by the World Wide Web Consortium (W3C), without comments.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with comments, if specified.

  true to include comments; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Byte[] `` To be added.

  Returns the digest associated with an object.

  The digest associated with an object.

  The object used to create a digest.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeList To be added

  Returns an XML representation of the parameters of an object that are suitable to be included as subelements of an XMLDSIG <Transform> element.

  A list of the XML nodes that represent the transform-specific content needed to describe the current object in an XMLDSIG <Transform> element.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  The type of the returned object must be .

  Returns the output of the current object.

  The output of the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The type of the returned object must be .

  Returns the output of the current object of type .

  The output of the current object of type .

  The type of the output to return. is the only valid type for this parameter.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] a

  The valid input types to are , , and .

  Gets an array of types that are valid inputs to the method of the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is not supported because the object has no inner XML elements.

  Parses the specified object as transform-specific content of a <Transform> element; this method is not supported because this element has no inner XML elements.

  An object to load into the current object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The type of the input object must be one of the types in the property.

  Loads the specified input into the current object.

  The input to load into the current object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] a

  is the only valid output type for .

  Gets an array of types that are possible outputs from the methods of the current object.